#include "xprt.h"


void PrintTree(Node *node)
{
   Gate *gate;
   Xprt *xprt;

   if (gate=IsGate(node))
   {
      PrintTree(gate->node1);
      PrintTree(gate->node2);
      PrintVector(gate->wt, gDimX);
   }
   else
   if (xprt=IsXprt(node))
      PrintMatrix(xprt->wt, gDimY, gDimX);
}


void PrintVector(Vector v, int n) 
{
   int i;

   if (v==NULL) 
      printf("Null Vector");
   else
      for (i=0; i<n; ++i)
         printf("%4.2g\t", v[i]);
        
   printf("\n");
}


void PrintMatrix(Matrix mx, int n1, int n2)
{
   int i, j;

   for (i=0; i<n1; ++i, printf("\n"))
      for (j=0; j<n2; ++j)
         printf("%0.3f  ", mx[i][j]);
}
